using ComputersShopContracts.Attributes;
using ComputersShopDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputersShopContracts.ViewModels
{
	public class ComputerViewModel : IComputerModel
	{
		[Column(visible: false)]
		public int Id { get; set; }

		[Column("Название компьютера", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string ComputerName { get; set; } = string.Empty;

		[Column("Цена", width: 100)]
		public double Price { get; set; }

		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> ComputerComponents
		{
			get;
			set;
		} = new();
	}
}
